#### Description:

This function sets the reference position (see attributes RefRA and RefDec) using axis values (in radians) supplied within the celestial coordinate system represented by a supplied SkyFrame.

#### Synopsis

void astSetRefPos( AstSpecFrame ∗this, AstSkyFrame ∗frm, double lon, double lat )

#### Parameters:

##### this

Pointer to the SpecFrame.

##### frm

Pointer to the SkyFrame which defines the celestial coordinate system in which the longitude and latitude values are supplied. If NULL is supplied, then the supplied longitude and latitude values are assumed to be FK5 J2000 RA and Dec values.

##### lon

The longitude of the reference point, in the coordinate system represented by the supplied SkyFrame (radians).

##### lat

The latitude of the reference point, in the coordinate system represented by the supplied SkyFrame (radians).
Copyright (C) 2021 East Asian Observatory